Subject: How to kill weeds?

From: [email-masked] (Daniel Pelletier)
Date: 22 Mar 95 12:23:18 PST

Can anybody give me some suggestions on how to kill all the weeds on a lot @
25'x40'? There are no ornamental plants to protect and the lot will be used to
park cars, or it will be paved over or built on so I'm not concerned if I
sterilize the soil or whatever. 

The problem is the size of the lot and how to apply the herbicide. Will Roundup
work from a hose-end sprayer? Another herbicide recommends a watering can! What
would you suggest? Thanks for any and all suggestions.